# class SS7TCAPError |
Full name | `TelEngine::SS7TCAPError`
Definition | `#include <libs/ysig/yatesig.h>`
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Types

- enum ErrorType { Transact_UnrecognizedPackageType, Transact_IncorrectTransactionPortion, Transact_BadlyStructuredTransaction, Transact_UnassignedTransactionID, Transact_PermissionToReleaseProblem, Transact_ResourceUnavailable, Dialog_UnrecognizedDialoguePortionID, Dialog_BadlyStructuredDialoguePortion, Dialog_MissingDialoguePortion, Dialog_InconsistentDialoguePortion, Dialog_Abnormal, General_UnrecognizedComponentType, General_IncorrectComponentPortion, General_BadlyStructuredCompPortion, General_IncorrectComponentCoding, Invoke_DuplicateInvokeID, Invoke_UnrecognizedOperationCode, Invoke_IncorrectParameter, Invoke_UnrecognizedCorrelationID, Invoke_ResourceLimitation, Invoke_InitiatingRelease, Invoke_LinkedResponseUnexpected, Invoke_UnexpectedLinkedOperation, Result_UnrecognizedInvokeID, Result_UnrecognisedCorrelationID, Result_UnexpectedReturnResult, Result_IncorrectParameter, Error_UnrecognizedInvokeID, Error_UnrecognisedCorrelationID, Error_UnexpectedReturnError, Error_UnrecognisedError, Error_UnexpectedError, Error_IncorrectParameter, Discard, NoError, }

#### Public Methods

- SS7TCAPError (SS7TCAP::TCAPType tcapType)
- SS7TCAPError (SS7TCAP::TCAPType tcapType, ErrorType error)
- ~SS7TCAPError ()
- inline ErrorType error ()
- inline void setError (ErrorType error)
- const String errorName ()
- u_int16_t errorCode ()

#### Public Static Methods

- static int errorFromCode (SS7TCAP::TCAPType tcapType, u_int16_t code)
- static u_int16_t codeFromError (SS7TCAP::TCAPType tcapType, int err)

#### Public Members

- static const TokenDict s_errorTypes[]

## Detailed Description

enum ErrorType { Transact_UnrecognizedPackageType, Transact_IncorrectTransactionPortion, Transact_BadlyStructuredTransaction, Transact_UnassignedTransactionID, Transact_PermissionToReleaseProblem, Transact_ResourceUnavailable, Dialog_UnrecognizedDialoguePortionID, Dialog_BadlyStructuredDialoguePortion, Dialog_MissingDialoguePortion, Dialog_InconsistentDialoguePortion, Dialog_Abnormal, General_UnrecognizedComponentType, General_IncorrectComponentPortion, General_BadlyStructuredCompPortion, General_IncorrectComponentCoding, Invoke_DuplicateInvokeID, Invoke_UnrecognizedOperationCode, Invoke_IncorrectParameter, Invoke_UnrecognizedCorrelationID, Invoke_ResourceLimitation, Invoke_InitiatingRelease, Invoke_LinkedResponseUnexpected, Invoke_UnexpectedLinkedOperation, Result_UnrecognizedInvokeID, Result_UnrecognisedCorrelationID, Result_UnexpectedReturnResult, Result_IncorrectParameter, Error_UnrecognizedInvokeID, Error_UnrecognisedCorrelationID, Error_UnexpectedReturnError, Error_UnrecognisedError, Error_UnexpectedError, Error_IncorrectParameter, Discard, NoError, } | ### ErrorType

SS7TCAPError (SS7TCAP::TCAPType tcapType) | ### SS7TCAPError

Constructor

Parameters:

tcapType | TCAP specification user for this error

SS7TCAPError (SS7TCAP::TCAPType tcapType, ErrorType error) | ### SS7TCAPError

Constructor

Parameters:

tcapType | TCAP specification used for this error
error | The error

~SS7TCAPError () | ### ~SS7TCAPError

Destructor

inline ErrorType error () | ### error

Get the error

Returns: The TCAP error

inline void setError (ErrorType error) | ### setError

Set the error

Parameters:

error | Error to set

const String errorName () | ### errorName

Error name

Returns: The error name

u_int16_t errorCode () | ### errorCode

The full value of the error

Returns: 2 byte integer containing the full code of the error

int errorFromCode (SS7TCAP::TCAPType tcapType, u_int16_t code) | ### errorFromCode

[static]

Obtain abstract TCAP error from TCAP protocol defined error value

Parameters:

tcapType | Type of TCAP for which the error is searched
code | TCAP protocol error value

Returns: The type of the error

u_int16_t codeFromError (SS7TCAP::TCAPType tcapType, int err) | ### codeFromError

[static]

Obtain TCAP specific error value from abstract TCAP error

Parameters:

tcapType | Type of TCAP for which the error is searched
err | Abstrat TCAP error

Returns: The error value as defined by the TCAP protocol

static const TokenDict s_errorTypes[] | ### s_errorTypes[]

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.